/************************************************************
*                                                            *
*  The logic module below is coded explicitly, to ensure     *
*  that the logic is implemented in a minimum of levels.     *
*                                                            *
************************************************************/

module fifomuxor (a, b, c, sel, out);

input a, b, c, sel;
output out;

assign out = (((a == b) && sel) || ((a == c) && ! sel));

endmodule
